glab(1)

NAME

glab-variable-export - Export variables from a project or group.

SYNOPSIS

glab variable export [flags]

DESCRIPTION

Export variables from a project or group.

OPTIONS

-g, --group=""
    Select a group or subgroup. Ignored if a repository argument is set.

-p, --page=1
    Page number.

-P, --per-page=100
    Number of items to list per page.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

EXAMPLE
    glab variable export
    glab variable export --per-page 1000 --page 1
    glab variable export --group gitlab-org
    glab variable export --group gitlab-org --per-page 1000 --page 1

SEE ALSO

glab-variable(1)